Bug 707934

Summary: Rack 1.3 available
Product: [Fedora] Fedora Reporter: Vít Ondruch <vondruch>
Component: rubygem-rackAssignee: Jeroen van Meeuwen <vanmeeuwen+fedora>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: drjohnson1, mastahnke, mmorsi, mtasaka, vanmeeuwen+fedora, vondruch
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-28 11:22:13 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Vít Ondruch 2011-05-26 11:21:41 UTC
Please update rack to the latest version. Current Rack version is almost 1.5 years old. Rails 3.0 already depends on Rack 1.2 which is not available in Fedora and incoming Rails 3.1 will request Rack 1.3.

Comment 1 Vít Ondruch 2011-06-03 17:54:16 UTC
@Jeroen: You have not responded to my emails nor to this bug report. Please respond if you are still maintaining the sunbird package. Otherwise I will ask FESco to take over this package, following the process described in:
http://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers

Comment 2 Vít Ondruch 2011-06-10 13:41:01 UTC
@Jeroen: Ping. This is second try according to
http://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers

Comment 3 Mamoru TASAKA 2011-06-17 15:21:57 UTC
Vit, have you already by change prepared a srpm for new rubygem-rack which can be imported into rawhide / F-15 soon?

Comment 4 Vít Ondruch 2011-06-20 08:40:17 UTC
(In reply to comment #3)
> Vit, have you already by change prepared a srpm for new rubygem-rack which can
> be imported into rawhide / F-15 soon?

Sorry, not yet.

Comment 5 d. johnson 2011-06-21 20:51:44 UTC
Update the changelog, and this builds fine in koji:

diff --git a/rubygem-rack.spec b/rubygem-rack.spec
index c89f2a0..7ca8373 100644
--- a/rubygem-rack.spec
+++ b/rubygem-rack.spec
@@ -6,8 +6,8 @@ Name:           rubygem-%{gemname}
 Summary:        Common API for connecting web frameworks, web servers and layers of software
 # Introduce Epoch (related to bug 552972)
 Epoch:          1
-Version:        1.1.0
-Release:        3%{?dist}
+Version:        1.2.3
+Release:        1%{?dist}
 Group:          Development/Languages
 License:        MIT
 URL:            http://rubyforge.org/projects/%{gemname}/
@@ -17,8 +17,11 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 Requires:       rubygems
 Requires:       ruby(abi) = 1.8
 BuildRequires:  rubygems
-BuildRequires(check):   rubygem(rake)
-BuildRequires(check):   rubygem(test-spec)
+BuildRequires:  rubygem(rake)
+# BuildRequires for %%check
+BuildRequires:  rubygem(bacon)
+#BuildRequires:  rubygem(fcgi)
+BuildRequires:  rubygem(test-spec)
 BuildArch:      noarch
 Provides:       rubygem(%{gemname}) = %{version}
 
@@ -77,6 +80,8 @@ do
 done
 popd
 
+rm %{buildroot}%{geminstdir}/Rakefile || :
+
 %files
 %defattr(-, root, root, -)
 %dir %{geminstdir}
@@ -96,6 +101,9 @@ popd
 %{gemdir}/specifications/%{gemname}-%{version}.gemspec

Comment 6 Vít Ondruch 2011-06-28 11:22:13 UTC
I have updated rawhide to rubygem-rack-1.3.0-1. Please test it.